/**

@descr	initialise the gameboard with a cardstack 
	
	@form	gameboardGroup 		
**/

gameboardGroup:-
	free(@gameboardgroup),
	new(@gameboardgroup,dialog_group(spielfeld)),
	file(playground,PlaygroundFile),
	new(PlaygroundBitmap,bitmap(PlaygroundFile)),
	free(@playground),
	new(@playground,picture('PictureFoo')),
	free(@systemgrey),
	send(@playground,background,lightgrey),
	send(@playground,display,PlaygroundBitmap, point(0,0)),
	send(@playground,area,area(0,0,740,740)),
	send(@playground, recogniser, click_gesture(left, '', single, message(@prolog,call_playground_clicked, @event?x, @event?y))),
	% place card stack on top left corner
	file(cardstack,CardStackFile),
	new(CardStackBitmap,bitmap(CardStackFile)),
	send(@playground,display,CardStackBitmap,point(0,0)),
	%send(@playground, recogniser, scroll_gesture(@off)),
	send(@gameboardgroup,append,@playground).


